org.apache.flume.channel.file.proto

## Class ProtosFactory

- java.lang.Object
- - org.apache.flume.channel.file.proto.ProtosFactory

-     public final class ProtosFactory
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ProtosFactory.ActiveLog` Protobuf type `ActiveLog`
    `static interface` | `ProtosFactory.ActiveLogOrBuilder`
    `static class` | `ProtosFactory.Checkpoint` Protobuf type `Checkpoint`
    `static interface` | `ProtosFactory.CheckpointOrBuilder`
    `static class` | `ProtosFactory.Commit` Protobuf type `Commit`
    `static interface` | `ProtosFactory.CommitOrBuilder`
    `static class` | `ProtosFactory.FlumeEvent` Protobuf type `FlumeEvent`
    `static class` | `ProtosFactory.FlumeEventHeader` Protobuf type `FlumeEventHeader`
    `static interface` | `ProtosFactory.FlumeEventHeaderOrBuilder`
    `static interface` | `ProtosFactory.FlumeEventOrBuilder`
    `static class` | `ProtosFactory.LogFileEncryption` Protobuf type `LogFileEncryption`
    `static interface` | `ProtosFactory.LogFileEncryptionOrBuilder`
    `static class` | `ProtosFactory.LogFileMetaData` Protobuf type `LogFileMetaData`
    `static interface` | `ProtosFactory.LogFileMetaDataOrBuilder`
    `static class` | `ProtosFactory.Put` Protobuf type `Put`
    `static interface` | `ProtosFactory.PutOrBuilder`
    `static class` | `ProtosFactory.Rollback` Protobuf type `Rollback`
    `static interface` | `ProtosFactory.RollbackOrBuilder`
    `static class` | `ProtosFactory.Take` Protobuf type `Take`
    `static interface` | `ProtosFactory.TakeOrBuilder`
    `static class` | `ProtosFactory.TransactionEventFooter` Protobuf type `TransactionEventFooter`
    `static interface` | `ProtosFactory.TransactionEventFooterOrBuilder`
    `static class` | `ProtosFactory.TransactionEventHeader` Protobuf type `TransactionEventHeader`
    `static interface` | `ProtosFactory.TransactionEventHeaderOrBuilder`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.FileDescriptor` | `getDescriptor()`
    `static void` | `registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### registerAllExtensions

          public static void registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)

    - #### getDescriptor

          public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.